GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::ClientAsyncStreamingInterface Class Referenceabstract

`#include <stream.h>`

## Public Member Functions
virtual | ~ClientAsyncStreamingInterface ()
virtual void | ReadInitialMetadata (void *tag)=0
virtual void | Finish (Status *status, void *tag)=0

## Constructor & Destructor Documentation

virtual grpc::ClientAsyncStreamingInterface::~ClientAsyncStreamingInterface | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void grpc::ClientAsyncStreamingInterface::Finish | ( | Status * | status,
|  | void * | tag
| ) |  |
| pure virtual

Implemented in grpc::ClientAsyncReaderWriter< R, W >, grpc::ClientAsyncWriter< W >, and grpc::ClientAsyncReader< R >.

virtual void grpc::ClientAsyncStreamingInterface::ReadInitialMetadata | ( | void * | tag | ) |
| pure virtual

Implemented in grpc::ClientAsyncReaderWriter< R, W >, grpc::ClientAsyncWriter< W >, and grpc::ClientAsyncReader< R >.

The documentation for this class was generated from the following file:

- include/grpc++/stream.h